GrkMappedFile.cpp File Reference
`#include "grk_includes.h"`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <sys/mman.h>`
`#include <fcntl.h>`

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

static int32_t | grk::get_file_open_mode (const char *mode)
static uint64_t | grk::size_proc (grk_handle fd)
static void * | grk::grk_map (grk_handle fd, size_t len, bool do_read)
static int32_t | grk::unmap (void *ptr, size_t len)
static grk_handle | grk::open_fd (const char *fname, const char *mode)
static int32_t | grk::close_fd (grk_handle fd)
static void | grk::mem_map_free (void *user_data)
grk_stream * | grk::create_mapped_file_read_stream (const char *fname)
grk_stream * | grk::create_mapped_file_write_stream (const char *fname)